Raygun

Descripcion

Raygun keeps a watchful eye on your website and notifies you of problems as they arise.

Signup for a free trial of Raygun today.

Crash Reporting

Raygun Crash Reporting silently monitors your software and notifies you when users encounter errors. Crash Reporting also provides deep diagnostic information about the root cause of the error or crash, meaning your team won’t be losing valuable time digging through log files.

Using this plugin, you can enable crash reporting to track errors and exceptions generated by your WordPress site.

Real User Monitoring

Ensure your website delivers a flawless user experience using Raygun Real User Monitoring. Monitor the performance of every user session so you can make improvements. Measure how geographic location affects your user experience by viewing detailed breakdowns. Increase user retention by discovering the problematic pages your users get stuck on.

Using this plugin, you can enable real user monitoring to track individual user sessions, asset load times and more about your WordPress site.

Customers

Customers are why we create software. See them all, what they do, and how they’re impacted by errors, crashes, and performance issues when using your software applications. Raygun Customers gives you complete clarity on who is using your application, alongside any problems they encountered that negatively impacted their end-user experience. Understand what actions led to an issue occurring and whether the overall experience was good or bad for individual users. Customers is included in all Raygun plans and can be set up quickly by enabling it in your plugin settings.

Installacion

  1. Download and activate the Raygun Plugin from your WordPress admin panel.
  2. Visit the Raygun plugin About page.
  3. Follow the steps under Get Started Today.

FAQ

How do I enable Real User Monitoring

As of 1.8.0, you can enable real user monitoring by navigating to the Raygun settings page and checking the Enable Real User Monitoring checkbox.

User information will be sent alongside RUM sessions if you have the Customers feature enabled.

How do I use Customers?

When enabled, the currently logged in user’s email address, first name and last name will be transmitted with each error or session. This will be visible in the Raygun dashboard. If this feature is not enabled, a random ID will be assigned to each user.

What does my WordPress site require to use this plugin?

This plugin automates the installation of Raygun4PHP, the PHP provider for Raygun.

The server that your WordPress site runs on requires a PHP 7.4 or newer environment. This also requires that your WordPress version be at least 5.3.

Multisite Support

This plugin is not guaranteed to work with multisite installations in certain environments. The following procedure should first be followed on a staging server that matches your production environment as closely as possible before being replicated live. It is recommended to use the most recent version WordPress and PHP.

  1. On your root network site, install the plugin using the Admin dashboard’s Plugin page as standard, but do not activate it.

  2. FTP in and modify wp-content/plugins/raygun4wp/raygun4wp.php – change the value on line 16 ($multisite_support_enabled) to true.

  3. Visit the Admin dashboard of a child site (not the root network site). Go to its Plugin page, and you should see Raygun ready to be activated – do so.

  4. A new Raygun submenu will be added to the left sidebar. There, you may click on Settings, paste in your API key, and save changes. You can now click Send Test Error and confirm that it appears in your Raygun dashboard.

  5. Repeat the above process for any other child sites – you can use different API keys (to send to different Raygun applications) or the same one.

Finally, if you so desire, you should be able to visit the root network site, activate it there and configure it. You must, however, activate it on at least one child site first.

Reviews

30 decembre 2020
Tried to activate this plugin on our website, hosted with Pagely, and it immediately crashed the server. An error of type E_COMPILE_ERROR was caused in line 168 of the file /dom34643/wp-content/plugins/raygun4wp/main.php. Error message: require_once(): Failed opening required '/dom34643/wp-content/plugins/raygun4wp/external/raygun4php/src/Raygun4php/RaygunClient.php' (include_path='.:/usr/share/php')
Read all 2 reviews

Contributors & Developers

“Raygun” is open source software. The following people have contributed to this plugin.

Contributors

Translate “Raygun” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

2.1.1.0

  • Bump stable version

2.1.0.0

  • Add ignore third-party errors option and bump WordPress required version

2.0.1.0

  • Bump Raygun4PHP dependency to v2.3.1 to improve support for PHP version 8.2

2.0.0.0

  • Switch to Composer for dependency management
  • Bump Raygun4PHP dependency to v2.3.0
  • Use new async sending guzzle (adds support for async on Windows)
  • Switch Raygun4JS dependency to grab latest CDN distribution
  • Add error type tagging
  • Log errors that fail to send to Raygun
  • Add setting to disable tracking on admin pages
  • Rename Mindscape namespace to Raygun (src)
  • Improve RaygunClientManager such that setting changes take effect immediately
  • Correct relationship between error handler and shutdown handler
  • Miscellaneous bug fixes, code improvements, UI and documentation updates

1.9.3.0

  • Updated User Tracking to Customers

1.9.2.0

  • Update Pulse to Real User Monitoring (RUM)

1.9.1.0

  • Don’t set user cookie when user tracking is disabled

1.9.0.0

  • Add async sending option to dashboard
  • Bump Raygun4PHP dependency to v1.8.2
  • Bump Raygun4JS dependency to v2.8.5

1.8.3.0

  • Fix XSS vulnerability in settings
  • Replace the iframe with a link to the Raygun dashboard

1.8.2.0

  • Bump Raygun4JS version to v2.6.2

1.8.1.0

  • XSS bug fix

1.8.0.0

  • Bump Raygun4JS dependency to v2.4.0
  • Bump Raygun4PHP dependency to v1.7.0
  • Pulse support added
  • Raygun4JS also includes the unique user tracking feature
  • Restructured the settings screen
  • JavaScript error tagging option added
  • Fixed an issue where the Send Test Error page wouldn’t display results
  • Updated the about page to include information about Pulse & Crash Reporting
  • Raygun Dashboard uses more space to provide a better user experience
  • Updated notifications
  • Raygun4JS tracks the version WordPress being used
  • Unique user tracking also tracks the users first & last names

1.7.3.0

  • Fixed issue with WP 4.5.2 plugin api

1.7.2.0

  • Fixed redundant cURL check when running in socket mode

1.7.1.0

  • Fix issue with tags not being provided for caught exceptions

1.7.0.0

  • Bump Raygun4JS dependency to v1.18.4

1.6.0.0

  • Bump Raygun4php dependency to v1.6.1

1.4.1.0

  • Admin warning notice fix

1.4.0.0

  • Added auto client-side JavaScript error tracking

1.3.0.0

  • Ignored Domains setting added
  • Bump RG4PHP to v1.3.5

1.2.1.0

  • Updated admin message

1.2.0.0

  • Now requires PHP 5.3.3 or newer
  • Default to using socket sending method; bump Raygun4PHP to 1.3.3

1.1.4.0

  • Bump underlying Raygun4PHP to latest version with minor bugfixes and improvements

1.1.3.0

  • Update Raygun4PHP to use async cURL sending. This should be very fast on linux environments

1.1.1.0

  • WordPress version tracking enabled
  • Updated Raygun4PHP. There were two bugs in 1.1 with nested request data and user tracking, updating is recommended.

1.1.0.0

  • Added Unique User tracking support to Settings page
  • Updated internal Raygun4PHP to use latest v1.1

1.0.3.0

  • Added button to test setup on config page
  • Added status indicator, improved handling when API key missing or invalid
  • Fixed a major bug where the provider would attempt to send errors, even if the status was ‘disabled’, cURL was missing, or an invalid API key was provided. Because of these changes, we strongly recommend you upgrade from any earlier releases to 1.0.3.0 or greater.

1.0.1.0

  • Added 404 error handling
  • Enabled tag support
  • Misc UX improvements

1.0.0.0

  • Initial release.